Package com.avaya.clientservices.call

## Class VideoDetails

- java.lang.Object
- - com.avaya.clientservices.call.VideoDetails

-     public class VideoDetails
      extends java.lang.Object

  Provides video details for a call.
  See Also:
    `MediaEncryptionType`, `VideoTransmitStatistics`, `VideoStatistics`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoDetails()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getChannelId()` | Video channel ID associated with media engine resources.
    `java.lang.String` | `getCodec()` | The name of the video codec being used.
    `MediaEncryptionType` | `getEncryption()` | Type of encryption used for the video session.
    `java.lang.String` | `getLocalIPAddress()` | Local media IP address.
    `int` | `getLocalPort()` | Local media termination port.
    `int` | `getPayloadType()` | Payload Type.
    `VideoStatistics` | `getReceiveStatistics()` | Video receive statistics.
    `java.lang.String` | `getRemoteIPAddress()` | Remote media IP address.
    `int` | `getRemotePort()` | Remote media termination port.
    `int` | `getRoundTripTimeMillis()` | The round-trip audio delay (in milliseconds) calculated as per RFC 3550.
    `VideoTransmitStatistics` | `getTransmitStatistics()` | Video transmit statistics.
    `boolean` | `isMediaProxied()` | Status indication for whether Video proxied or not.
    `boolean` | `isMediaTunneled()` | Status indication for whether Video tunneled or not.
    `boolean` | `isRTCPEncrypted()` | Returns true if RTCP is encrypted, false otherwise.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoDetails

          public VideoDetails()

  - ### Method Detail

    - #### getTransmitStatistics

          public VideoTransmitStatistics getTransmitStatistics()

      Video transmit statistics.
      Returns:
        Video transmit statistics.

    - #### getReceiveStatistics

          public VideoStatistics getReceiveStatistics()

      Video receive statistics.
      Returns:
        Video receive statistics.

    - #### getCodec

          public java.lang.String getCodec()

      The name of the video codec being used.
      Returns:
        The name of the video codec being used.

    - #### getPayloadType

          public int getPayloadType()

      Payload Type.
      Returns:
        Payload Type.

    - #### getRoundTripTimeMillis

          public int getRoundTripTimeMillis()

      The round-trip audio delay (in milliseconds) calculated as per RFC 3550. This is the time required for an RTP packet to go from sender to receiver and back.
      Returns:
        The round-trip audio delay in milliseconds.

    - #### getLocalIPAddress

          public java.lang.String getLocalIPAddress()

      Local media IP address.
      Returns:
        Local media IP address.

    - #### getRemoteIPAddress

          public java.lang.String getRemoteIPAddress()

      Remote media IP address.
      Returns:
        Remote media IP address.

    - #### getLocalPort

          public int getLocalPort()

      Local media termination port.
      Returns:
        Local media termination port.

    - #### getRemotePort

          public int getRemotePort()

      Remote media termination port.
      Returns:
        Remote media termination port.

    - #### getEncryption

          public MediaEncryptionType getEncryption()

      Type of encryption used for the video session.
      Returns:
        Type of encryption used for the video session.

    - #### isMediaTunneled

          public boolean isMediaTunneled()

      Status indication for whether Video tunneled or not.
      Returns:
        Status indication for whether Video tunneled or not.

    - #### isMediaProxied

          public boolean isMediaProxied()

      Status indication for whether Video proxied or not.
      Returns:
        Status indication for whether Video proxied or not.

    - #### isRTCPEncrypted

          public boolean isRTCPEncrypted()

      Returns true if RTCP is encrypted, false otherwise.
      Returns:
        true if RTCP is encrypted.

    - #### getChannelId

          public int getChannelId()

      Video channel ID associated with media engine resources.
      Returns:
        Video channel ID associated with media engine resources.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`